@echo on
rem #
rem # IBM Confidential
rem # OCO Source Materials
rem # Rational ClearQuest
rem # (C) Copyright IBM Corp. 2010. All Rights Reserved.
rem #
rem # The source code for this program is not published or otherwise
rem # divested of its trade secrets, irrespective of what has been
rem # deposited with the U.S. Copyright Office.
rem #
rem # Run this batch file to copy the Eclipse plugins of the reporting driver from the shared Installation
rem # Manager directory to a target directory
rem # Usage:   
rem #	copyDriverPlugins <no arguments>   - Copies the ClearQuest driver plugins to the current directory
rem #	copyDriverPlugins <targetDirectory> - Copies the ClearQuest driver plugins to the targetDirectory    

:start
if [%1]==[] goto setdefault
set TARGET_PATH=%1
goto copyPlugins

:setdefault
set TARGET_PATH=.
goto copyPlugins

:copyPlugins
@echo on
set PLUGIN_PATH=c:\program files\ibm\IMShared\plugins
set CQ_CORE_LIB=com.ibm.rational.clearquest.core.lib
set CQ_JDBC=com.ibm.rational.clearquest.jdbc
set CM_LIBRARY=com.ibm.rational.stp
set ODA_JDBC=com.ibm.rational.clearquest.oda.jdbc_
set ODA_JDBC_NL=com.ibm.rational.clearquest.oda.jdbc.nl1

FOR /R "%PLUGIN_PATH%" /D %%i IN (%CQ_CORE_LIB%* %CQ_JDBC%* %CM_LIBRARY%* %ODA_JDBC%* %ODA_JDBC_NL%*) DO mkdir %TARGET_PATH%\%%~nxi
FOR /R "%PLUGIN_PATH%" /D %%i IN (%CQ_CORE_LIB%* %CQ_JDBC%* %CM_LIBRARY%* %ODA_JDBC%* %ODA_JDBC_NL%*) DO xcopy "%%i\*.*" %TARGET_PATH%\"%%~nxi"  /Y /S /E /I /R

FOR /R "%PLUGIN_PATH%" %%i IN (%CQ_CORE_LIB%* %CQ_JDBC%* %CM_LIBRARY%* %ODA_JDBC%* %ODA_JDBC_NL%*) DO copy "%%i" %TARGET_PATH%\"%%~nxi" 

set TARGET_PATH=
set PLUGIN_PATH=
set CQ_CORE_LIB=
set CM_LIBRARY=
set CQ_JDBC=
set ODA_JDBC=
set ODA_JDBC_NL=
